import '../models/user.dart' as userModel;
import 'package:firebase_auth/firebase_auth.dart';
import 'package:ecom_widgets/services/dio_service.dart';

class UserService {
  DioService dio = new DioService();

  updateUser(updatedUserData) async {
    var result = await dio.postData("users/update", updatedUserData);

    return result;
  }

  updateUserPhone(phone) async {
    var result = await dio.postData("users/update_phone", {"phone": phone});

    return result;
  }

  checkUserPhoneExists(phone) async {
    var result =
        await dio.postData("users/check_phone_exists", {"phone": phone});

    return result;
  }

  fetchUser() async {
    var result = await dio.postData("users/single/auth", {}, expect: "Map");
    if (FirebaseAuth.instance.currentUser != null)
      FirebaseAuth.instance.currentUser!.getIdToken(true);
    return result;
  }

  Future<userModel.User> getUser() async {
    var result = await dio.postData("users/single/auth", {}, expect: "Map");
    print(result);
    if (FirebaseAuth.instance.currentUser != null)
      FirebaseAuth.instance.currentUser!.getIdToken(true);
    return userModel.User.fromJSON(result);
  }
}
